%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name ansi-wl-pprint
%define f_pkg_name ansi-wl-pprint
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.5.1
Release: alt1.1
License: BSD3
Packager: Alex V. Myltsev <avm@altlinux.ru>
Group: Development/Haskell
URL: http://github.com/batterseapower/ansi-wl-pprint
Source: %name-%version.tar
Summary: The Wadler/Leijen Pretty Printer for colored ANSI terminal output
BuildRequires: ghc ghc(ansi-terminal)
BuildRequires(pre): rpm-build-haskell



%description
This is a pretty printing library based on Wadler's paper "A Prettier
Printer". It has been enhanced with support for ANSI terminal colored
output using the ansi-terminal package.

%prep
%setup

%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

#cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
#rm -rf doc LICENSE examples

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
#%%doc LICENSE examples

%changelog
* Tue Dec 07 2010 Denis Smirnov <mithraen@altlinux.ru> 0.5.1-alt1.1
- rebuild with ghc 7.0/var/lib/altlinux/sisyphus/files/SRPMS/ghc-ansi-terminal-0.5.3-alt1.src.rpm

* Wed Sep 15 2010 Denis Smirnov <mithraen@altlinux.ru> 0.5.1-alt1
- Spec created by cabal2rpm 0.20_08
